<?php
 if (!defined('ABSPATH')) {
    exit; // Exit if directly accessed
}

if (!class_exists('WCSorder_statusesClass')) {
    class WCSorder_statusesClass {
    	
        private $wc_custome_product_status = array();

        public function __construct() {

        $this->wc_custome_product_status = (empty(get_option("wc_custome_product_status"))) ? array() : get_option("wc_custome_product_status");

          add_action( 'init',  array($this, 'WCS_register_custom_order_statuses'));
        // Add custom Order statuses
        add_filter( 'wc_order_statuses', array($this, 'WCS_add_custom_order_statuses'), 10, 1 );

        }

            function WCS_register_custom_order_statuses() {
            
            foreach($this->wc_custome_product_status as $key => $label ) {
                if ($label == "") {continue;}
                register_post_status("wc-".str_replace(" ","-",substr(strtolower($label),0,15)), array(
                    'label'                     => $label,
                    'public'                    => true,
                    'exclude_from_search'       => false,
                    'show_in_admin_all_list'    => true,
                    'show_in_admin_status_list' => true,
                    'label_count'               => _n_noop( $label . ' <span class="count">(%s)</span>', $label . ' <span class="count">(%s)</span>' )
                ) );
            }
        }

     public  function WCS_add_custom_order_statuses( $order_statuses ) {
   
    $sorted_order_statuses = array(); // Initializing

    foreach ( $order_statuses as $key => $label ) {
        $sorted_order_statuses[ $key ] = $label;
    }
     foreach($this->wc_custome_product_status as $custom_key => $custom_label ) {
        if ($custom_label == "") {continue;}
                $sorted_order_statuses["wc-".str_replace(" ","-",substr(strtolower($custom_label),0,15))] = $custom_label;
        }
    return $sorted_order_statuses;
    }

    }
    new WCSorder_statusesClass();
}

?>