<?php if (!defined('ABSPATH')) {
	exit; // Exit if directly accessed
}
/**
 * Fired during plugin activation
 */
if (!class_exists('WCSAddMenuClass')) {
	class WCSAddMenuClass {
		public function __construct() {
			/*Menu hook*/
			add_action('admin_menu', array($this, 'register_WCS_menu'));
			/*Register WP Admin Styling Scripts*/
			add_action('admin_enqueue_scripts', array($this, 'WCS_admin_enqueue'));
		}

		public function register_WCS_menu() {
			if (is_admin()) {
			 add_submenu_page('woocommerce','Add custom status','Add custom status','administrator','WCS_add_menu_page', array($this, 'WCS_add_menu_page') );
			} 
		}
		
		public function WCS_admin_enqueue($hook) {
			if ($hook == "woocommerce_page_WCS_add_menu_page") {
			 wp_enqueue_style('WCS-global-css', WCS_URL . '/assets/css/global.css');
			 wp_enqueue_script('WCS-main',WCS_URL."assets/js/main.js","","",true);
			}
		}

		public function WCS_add_menu_page() {

			if (is_admin() && current_user_can('manage_options')) {
				require WCS_PATH.'/templates/add-status-template.php';
			} else {
				_e('Denied ! Only admin can see this.', 'multi-countDown');
			}
		}

		public function WCS_add_status() {

		if (!empty($_POST) && isset($_POST["product_status"])) {

		$validate_input = array();
		foreach ($_POST["product_status"] as $key => $value) {
		$validate_input[$key] = $this->WCS_validator_function($value); 
		}

      	$status = update_option("wc_custome_product_status",$validate_input);

     	 if ($status) {_e('<div class="notice notice-success is-dismissible"><p>Record Updateed!</p></div>');}

      	else{_e('<div class="notice notice-warning is-dismissible"><p>No Changes Found!</p></div>');  }
    	 }

		}

	public function getStatus() {

	return empty(get_option('wc_custome_product_status')) ? array(1) : get_option('wc_custome_product_status');

	}

	public function WCS_validator_function($field) {
		if (empty($field)) {
			return;
		}
		$field = sanitize_text_field($field);
		$field = trim($field);
		$field = stripslashes($field);
		$field = htmlspecialchars($field);
		return $field;
	}
}
	new WCSAddMenuClass();
}